# StorageOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

Options for constructing a Storage instance

### Hierarchy

- StorageOptions

## Index

### Properties

- userSession

## Properties

### Optional userSession

userSession: UserSession

- Defined in packages/storage/src/storage.ts:104

The userSession object to construct the Storage instance with. The session object contains the credentials and keys for Gaia hub access and encryption.

Generated using TypeDoc